import { useModel } from '@/store'
import useRouter from '@/utils/hooks/useRouter'

export default (Child) => (props) => {
  const [person] = useModel('person')
  const router = useRouter()

  return <Child {...props} person={person} router={router} />
}
